Set attack discovery alerts workflow status

Base URL
https://{kibana_url}
  • POST /api/detection_engine/attacks/status
Auth

Set the workflow status of one or more attack discovery alerts by IDs, optionally cascading the status to their related detection alerts.

Request body

An object containing the desired status and explicit attack ids

One of:
status: closed
status enum required
Values: closed
ids string[] · format: nonempty · min items: 1 required

A list of alerts ids.

reason union oneOf

The reason for closing the alerts. Can be one of following predefined reasons: [false_positive, duplicate, true_positive, benign_positive, automated_closure, other] or a custom reason provided by the user through the advanced settings.

Values: false_positive duplicate true_positive benign_positive automated_closure other

When true, the change is also applied to detection alerts related to the attacks via kibana.alert.attack_discovery.alert_ids.

Responses

Successful response

application/json

Response Type: object

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}